/********************************************************************************\
*  This sample is supplied as is with no implied warranty.  
*  It is designed to assist you in using the Cisco AnyConnect VPN API. 
*  It is assumed that you will build a production application and 
*  refer to this sample as a reference only.
\********************************************************************************/
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CSharpComSample
{
    public partial class BannerDlg : Form
    {
        string bannerText;

        public BannerDlg(string bannerText)
        {
            this.bannerText = bannerText;
            InitializeComponent();
        }

        private void BannerDlg_Load(object sender, EventArgs e)
        {
            bannerTextBox.Text = bannerText;
        }

        private void acceptButton_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
            Close();
        }

        private void declineButton_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}